## llm 0.16

=== debian/changelog ===
llm (0.16-1) unstable; urgency=medium

  * rebuild for unstable, after crossing NEW
  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 15 Oct 2024 15:24:34 -0400

llm (0.14-1) experimental; urgency=medium

  * Initial release (Closes: #1065572)

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 04 Jun 2024 12:32:24 -0400
