=== debian/control ===
Source: llm
Section: contrib/science
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-click,
               python3-click-default-group,
               python3-httpx,
               python3-openai,
               python3-pip,
               python3-pkg-resources,
               python3-pluggy,
               python3-pydantic,
               python3-setuptools,
               python3-sqlite-migrate,
               python3-ulid,
               python3-yaml,
               sqlite-utils,
Standards-Version: 4.6.2.0
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/simonw/llm
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/packages/llm
Vcs-Git: https://salsa.debian.org/python-team/packages/llm.git

Package: llm
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
       , python3-typing-extensions (>= 4.7)
Description: CLI utility and Python library for interacting with Large Language Models
 A CLI utility and Python library for interacting with Large Language
 Models, both via remote APIs and models that can be installed and run
 on your own machine.
 .
 This allows users to interact with various language models. Its
 primary target is obviously the OpenAI API, but it also supports
 local models like Llama 2, Ollama, and MLC, and other online models
 like Claude, GEmini and Mistral.
