## llm 0.19.1

=== debian/changelog ===
llm (0.19.1-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 09 Dec 2024 09:10:37 -0500

llm (0.19-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 03 Dec 2024 10:33:02 -0500

llm (0.18-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 25 Nov 2024 11:04:20 -0500
