## llm 0.20

=== debian/changelog ===
llm (0.20-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 27 Jan 2025 09:49:46 -0500
