=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                python3-pip,
                python3-pkg-resources,
                python3-pluggy,
+               python3-puremagic,
                python3-pydantic,
                python3-setuptools,
                python3-sqlite-migrate,
