## llm 0.23

=== debian/changelog ===
llm (0.23-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 03 Mar 2025 20:51:54 -0500
