=== debian/control ===
--- 
+++ 
@@ -5,14 +5,13 @@
 Uploaders:
  Antoine Beaupré <anarcat@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-click,
                python3-click-default-group,
                python3-httpx,
                python3-openai,
                python3-pip,
-               python3-pkg-resources,
                python3-pluggy,
                python3-puremagic,
                python3-pydantic,
