## llm 0.26

=== debian/changelog ===
llm (0.26-1) experimental; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 11 Jun 2025 13:27:58 -0400
