## llm 0.27.1

=== debian/changelog ===
llm (0.27.1-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 18 Aug 2025 12:08:44 -0400
