=== debian/control ===
--- 
+++ 
@@ -6,9 +6,11 @@
  Antoine Beaupré <anarcat@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-click,
                python3-click-default-group,
+               python3-condense-json,
                python3-httpx,
                python3-openai,
                python3-pip,
