=== debian/watch ===
version=4
# try also https://pypi.debian.net/llm/watch
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/llm/llm-([^a-z]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
