## llm 0.28

=== debian/changelog ===
llm (0.28-2) unstable; urgency=medium

  * move llm to main, llama.cpp and yt-dlp are there, so we belong too

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 18 Feb 2026 11:35:29 -0500

llm (0.28-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 05 Jan 2026 13:44:38 -0500
