=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: llm
-Section: contrib/science
+Section: science
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
