=== requirements.txt ===
streamlit
streamlit-chat
chromadb
pyautogui
databricks-sql-connector
watchdog
psycopg2-binary
py4j
pyspark
build
setuptools
twine
paramiko
pydeequ
databricks-feature-store
Flask
Werkzeug
pytest
responses
azure-storage-blob
chromadb
#snowflake-snowpark-python
#snowflake-connector-python
jupyter
aiohttp
aiosignal
altair
anyio
argilla
asn1crypto
astroid
async-timeout
attrs
autopep8
backoff
blinker
cachetools
cffi
charset-normalizer
click
commonmark
cryptography
cycler
dataclasses-json
decorator
Deprecated
docopt
docstring-to-markdown
entrypoints
et-xmlfile
faiss-cpu
filelock
flake8
fonttools
frozenlist
gitdb
GitPython
h11
httpcore
httpx
idna
importlib-metadata
importlib-resources
isort
Jinja2
joblib
jsonschema
kiwisolver
langchain
lxml
Markdown
markdown-it-py
MarkupSafe
marshmallow
marshmallow-enum
matplotlib
mccabe
mdurl
monotonic
msg-parser
multidict
mypy-extensions
nltk
numpy
olefile
openai
openapi-schema-pydantic
openpyxl
oscrypto
pandas
Pillow
protobuf
pyarrow
pycodestyle
pycparser
pycryptodomex
pydantic
pydeck
pydocstyle
pyflakes
Pygments
PyJWT
pylint
Pympler
pyOpenSSL
pypandoc
pyparsing
pyrsistent
python-dateutil
python-docx
python-dotenv
python-lsp-jsonrpc
python-lsp-server
python-magic
python-pptx
pytoolconfig
pytz
pytz-deprecation-shim
PyYAML
regex
requests
rfc3986
rich
rope
scikit-learn
scipy
six
smmap
sniffio
snowballstemmer
SQLAlchemy
sqlparse
tenacity
threadpoolctl
tiktoken
toml
tomlkit
toolz
tornado
tqdm
typing-inspect
typing_extensions
tzdata
tzlocal
ujson
unstructured
urllib3
validators
whatthepatch
wrapt
XlsxWriter
yapf
yarg
yarl
zipp
packaging
diffusers 
accelerate 
datasets 
torch 
soundfile 
sentencepiece 
opencv-python
sqlalchemy-databricks
transformers
#--extra-index-url https://github.com/huggingface/transformers@v4.29.0
huggingface_hub
streamlit-authenticator
tabulate
