=== docs/requirements.txt ===
mkdocs-material
pillow
cairosvg
