## llm term-0.7.1

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.11
# by the following command:
#
#    pip-compile
#
aiohttp==3.8.5
    # via openai
aiosignal==1.3.1
    # via aiohttp
async-timeout==4.0.3
    # via aiohttp
attrs==23.1.0
    # via aiohttp
certifi==2023.7.22
    # via requests
charset-normalizer==3.2.0
    # via
    #   aiohttp
    #   requests
click==8.1.7
    # via llm-term (pyproject.toml)
frozenlist==1.4.0
    # via
    #   aiohttp
    #   aiosignal
idna==3.4
    # via
    #   requests
    #   yarl
markdown-it-py==3.0.0
    # via rich
mdurl==0.1.2
    # via markdown-it-py
multidict==6.0.4
    # via
    #   aiohttp
    #   yarl
openai==0.28.0
    # via llm-term (pyproject.toml)
prompt-toolkit==3.0.39
    # via llm-term (pyproject.toml)
pygments==2.16.1
    # via rich
requests==2.31.0
    # via openai
rich==13.5.2
    # via llm-term (pyproject.toml)
tqdm==4.66.1
    # via openai
urllib3==2.0.4
    # via requests
wcwidth==0.2.6
    # via prompt-toolkit
yarl==1.9.2
    # via aiohttp
